import request from '@/config/axios'

// 查询通用物模型列表
export function listTemplate(query) {
  return request.get({
    url: '/rq/iot-things-model-template/list',
    
    params: query
  })
}

// 查询通用物模型详细
export function getTemplate(templateId) {
  return request.get({
    url: '/iot/template/' + templateId,
   
  })
}

// 新增通用物模型
export function addTemplate(data) {
  return request.post({
    url: '/iot/template',
  
    data: data
  })
}

// 修改通用物模型
export function updateTemplate(data) {
  return request.put({
    url: '/iot/template',
   
    data: data
  })
}

// 删除通用物模型
export function delTemplate(templateId) {
  return request.delete({
    url: '/iot/template/' + templateId,
    
  })
}

// 查询通用物模型详细
export function getAllPoints(params) {
  return request.get({
    url: '/rq/iot-things-model-template/getPoints',
   
    params: params,
  })
}
